Subject: Best deals on replica watches

From: " Web-archive" <[email-masked] >
Date: Fri, 6 Jul 2007 01:15:38 -0500

We are happy to announce the beginning of the sale in our replica watch store!
Why pay more for the same blameless quality? Our prices will please you!
Huge choice of chronometers identical with the original brand-name ones!
http://slonoima.com